This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 72222 - Mediacheck Fails If NFS Directory Has ISO Images From Multiple Beta Versions
Mediacheck Fails If NFS Directory Has ISO Images From Multiple Beta Versions
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-21 23:27 EDT by Bob Cochran
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 23:27:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob Cochran 2002-08-21 23:27:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020702

Description of problem:
If you attempt a mediacheck of the 'null' CD set by: inserting CD1 in the CD
drive and booting to this, then typing 'linux askmethod' at the boot: prompt,
then requesting an 'NFS image' installation, and you point the installer to an
NFS directory which contains the complete iso images for both Limbo and 'null',
then the mediacheck utility will attempt to perform a checksum test on the first
iso image in the directory rather than on the first 'null' iso image. I get the
impression that the mediacheck utility is checking files in the directory based
on descending alphabetical order. 'limbo-i386-disc1.iso' sorts before
'null-i386-disc1.iso'. The checksum test then issues an error message. The
bottom line here is that the mediachecker doesn't know enough to look for it's
own iso images by name, e.g. it should be checking for the presence of null* iso
images and ignoring anything else in that directory. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put null CD1 in the CD drive of a Sony Vaio PCG-F350 laptop.
2.Boot to the CD image; select 'linux askmethod' at the boot: prompt.
3.Language=US English, Keyboard=US
4.Select 'NFS Image' for the installation method.
5.Configure TCP/IP
6.Configure the NFS Setup information.Point to a directory that happens to have
iso images from Limbo and null in it.
7. A window titled 'Checksum Test' appears. It has this text:

"Would you like to perform a checksum test of the ISO image:

/mnt/source/limbo-i386-disc1.iso?

Two buttons, "Test" and "Skip" are available.

8. Select "Test" and press the enter key.
9. A new window titled "Error" appears. It has this text:

"Unable to read the checksum from the primary volume descriptor. This probably
means the disc was created without adding the checksum." There is an OK button
at the bottom of this window. Pressing it yeilds a new window which has this text:

"The media check of Limbo 7.3.93 disc 1 is complete, and the result is: NA.

No checksum information available, unable to verify media."

Actual Results:  I was unable to obtain a mediacheck of the first 'null' iso
image from the first mediacheck panel that appeared.The media checker doesn't
seem able to locate the specific iso images for that release of Red Hat.

After step 9 above, I decided to simply restart the computer with CTRL-ALT-DEL.

Expected Results:  The media checker should have found the first 'null' iso
image in the directory and proceeded to mediacheck it, then offer to test the
next, then the next.

Additional info:

If I move the 'null' images into their own directory (named /mnt/null) the media
check works as expected on all 5 iso images.
Comment 1 Michael Fulbright 2002-08-22 12:24:35 EDT
You need to put the ISOs of separate releases into separate directories.

Note You need to log in before you can comment on or make changes to this bug.